Retrieve Custom Object by ID
Retrieves the Custom Object associated with the specified User using an Access Token and record ID.
Retrieves the Custom Object associated with the specified User using an Access Token and record ID.
Authorization
BearerToken APIKey AuthorizationBearer <token>
Bearer token for user authentication
In: header
apikey<token>
Tenant API Key for authentication
In: query
Path Parameters
objectrecordid*string
Unique identifier for the Custom Object record. The ID is used to target a specific Custom Object.
Format
uuidQuery Parameters
access_token?string
Access Token of the User
objectname?string
Name of the Custom Object to be used in the request. The name should match the Custom Object configured in your LoginRadius account.
customobjectid?string
Unique identifier for the Custom Object record
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.loginradius.com/identity/v2/auth/customobject/123e4567-e89b-12d3-a456-426614174000?access_token=493318dd-487a-439b-8302-5e27f1110244&objectname=customObjectName1&customobjectid=customObject12"{
"IsActive": true,
"IsDeleted": false,
"CustomObject": {
"firstName": "John",
"lastName": "Doe",
"age": 30
},
"Id": "abc123",
"Uid": "user456",
"DateCreated": "2024-05-28T12:34:56Z",
"DateModified": "2024-05-29T09:10:11Z"
}{
"ErrorCode": 908,
"Message": "A parameter is not formatted correctly",
"Description": "The objectname is a required parameter."
}{
"errorCode": 1409,
"message": "Authentication failed",
"description": "The credentials provided could not be authenticated."
}{
"ErrorCode": 984,
"Message": "Account ID is invalid",
"Description": "The provided account ID is invalid, please use a valid account ID in order to process this request."
}